FrSky 2.4 module compatible with Eclipse 7

Discussion on the reviews of 2.4GHz radios, modules and receivers that have appeared on RCModelReviews..com

FrSky 2.4 module compatible with Eclipse 7

Postby Iwade » Thu Jan 20, 2011 9:11 am

Hi,
Wonder can any one help. I have a HiTech Eclipse 7 radio which I have loved for the past 10 years. I was given a Frysky 2.4Ghz module to try in an attempt to get up to date at minimum cost. This particular module would not bind with it's FrySky Rx and just resulted in very jerky and erratic servo response. It was also a difficult fit on my Tx and required sanding and re drilling of the holes for the pins to line up. I returned the module but still wonder if this was a one off or do these modules not work with the Eclipse 7. I am tempted to buy a new FrySky module but don't want to make the investment until reasonably sure it will work.
Any thoughts on this would be appreciated. Thanks
Iwade
 
Posts: 7
Joined: Fri Oct 29, 2010 1:08 am

Return to 2.4GHz radios/modules/receivers

Who is online

Users browsing this forum: No registered users and 0 guests

cron